Bem, feita a instalação, (concluida com exito)

o vscan vai funcionar por apenas 30 dias, ou tem como buscar uma licença 
permanente, ou de maior duração



Flavio Alexsandro Silva escreveu:
> Naum sei lhe dizer...
>
> sempre que tenho algum problema com algum port, de praxe jah abro o 
> Makefile e vejo os WITH e WITHOUT...
> exemplo: squid26stable2... tava com algo bem parecido e vi que tinha uma 
> variavel que aceitava parametros para serem passados para o configure do 
> squid... ae foi soh make -D"parametros" config all package clean
>
> blz??
>
> Abraços,
>
> Ari Arantes wrote:
>   
>> Flávio,
>>
>> Existe documentação para isso? Ou somente vi Makefile???
>>
>> Deveria existir como costumar ter nos ./configure --help.
>>
>> []s,
>>
>> Ari
>>
>>
>> Em 29/11/06, Flavio Alexsandro Silva<[EMAIL PROTECTED]> escreveu:
>>   
>>     
>>> Ari,
>>>
>>>     Vc tambem pode fazer o seguinte:
>>>     #cd /usr/ports/security/vscan
>>>     #make -DWITHOUT_COMPAT3 all
>>>
>>>     Pois no Makefile existe uma parte dele preparada pra essa condicao,
>>> nas versoes do FreeBSD 5.1 em diante...
>>>
>>>     .if defined(WITHOUT_COMPAT3)
>>>     .if ${OSVERSION} < 510000
>>>     IGNORE= requires FreeBSD 5.1 or later
>>>     .endif
>>>     .else
>>>     LIB_DEPENDS+= c.3:${PORTSDIR}/misc/compat3x
>>>     .endif
>>>
>>> Abraços,
>>>
>>> Ari Arantes wrote:
>>>     
>>>       
>>>> Não tinha pesquisado direito no histórico da lista!!!!
>>>>
>>>> Achei a solução do Luiz Otávio Souza:
>>>>
>>>>
>>>> Tente assim:
>>>>
>>>> # cd /usr/ports/security/vscan
>>>>
>>>> E aplica esse patch:
>>>>
>>>> --- Makefile.orig       Mon Nov 22 08:58:47 2004
>>>> +++ Makefile    Sat Apr 22 03:53:08 2006
>>>> @@ -19,7 +19,7 @@
>>>> RUN_DEPENDS+=  ${LOCALBASE}/sbin/update_dat:${PORTSDIR}/security/uvscan-dat
>>>> # misc/compat3x is forbidden, but if it is compiled into the system
>>>> # we may still be good to go.
>>>> -LIB_DEPENDS+=  c.3:${PORTSDIR}/misc/compat3x
>>>> +#LIB_DEPENDS+= c.3:${PORTSDIR}/misc/compat3x
>>>> LIB_DEPENDS+=  m.2:${PORTSDIR}/misc/compat4x
>>>>
>>>> ONLY_FOR_ARCHS=                i386
>>>>
>>>>
>>>> Resumindo:  basta comentar a linha LIB_DEPENDS+ = c.3
>>>>
>>>>
>>>> Depois o basico:
>>>>
>>>> # make install clean
>>>>
>>>> Nesse momento o uvscan ainda nao funciona:
>>>>
>>>> # uvscan
>>>> /usr/libexec/ld-elf.so.1: Shared object "libc.so.3" not found, required by
>>>> "uvscan"
>>>>
>>>> Então..
>>>>
>>>> # ln -s /lib/libc.so.6 /lib/libc.so.3
>>>>
>>>> ou melhor:
>>>>
>>>> # cat /etc/libmap.conf
>>>> [/usr/local/libexec/uvscan/uvscan]
>>>> libc.so.3               libc.so.6
>>>>
>>>>
>>>> Pronto.. o uvscan esta funcionando, sem usar o compat3 :)
>>>>
>>>> Se nao funcionar verifique se na sua versao do FreeBSD
>>>> a lib disponivel tem o mesmo nome do meu exemplo
>>>> (libc.so.6) pois isso muda pra cada verão (4.X, 5.X, 6.X e 7).
>>>>
>>>>
>>>>
>>>> 2006/11/28, Ari Arantes <[EMAIL PROTECTED]>:
>>>>
>>>>       
>>>>         
>>>>> Pessoal,
>>>>>
>>>>> Estou com dificuldades para instalar o vscan pelo ports.
>>>>>
>>>>> Rodei em /usr/ports/security/vscan
>>>>>
>>>>> make install clean
>>>>>
>>>>> Primeiro ele tentou instalar o compat3x, mas está desabilitado. Então
>>>>> editei o Makefile em /usr/ports/misc/compat3x e comentei:
>>>>>
>>>>> #FORBIDDEN=     "FreeBSD-SA-03:05.xdr, FreeBSD-SA-03:08.realpath  - not 
>>>>> fixed /
>>>>> no lib available"
>>>>>
>>>>> Rodei o make install novamente, mas aparece:
>>>>>
>>>>>
>>>>> /usr/local/lib/compat/libc.so.3 (USES POSSIBLY INSECURE FUNCTIONS: mktemp)
>>>>>
>>>>>       This port has installed the following startup scripts, which may 
>>>>> cause
>>>>>       these network services to be started at boot time.
>>>>> /usr/local/etc/rc.d/000.compat3x.sh
>>>>>
>>>>>       If there are vulnerabilities in these programs there may be a 
>>>>> security
>>>>>       risk to the system. FreeBSD makes no guarantee about the security of
>>>>>       ports included in the Ports Collection. Please type 'make deinstall'
>>>>>       to deinstall the port if this is a concern.
>>>>> ===>   Returning to build of uvscan-5.10e_1
>>>>> Error: shared library "c.3" does not exist
>>>>> *** Error code 1
>>>>>
>>>>> Também tentei pkg_add -r vscan e não existe.
>>>>>
>>>>> Como instalar o vscan?
>>>>>
>>>>> Acabei de atualizar o servidor:
>>>>> 6.2-PRERELEASE FreeBSD 6.2-PRERELEASE #3: Tue Nov 28 18:51:18 BRDT 2006
>>>>>
>>>>> []s,
>>>>>
>>>>> Ari
>>>>>
>>>>>
>>>>>         
>>>>>           
>>>> -------------------------
>>>> Histórico: http://www.fug.com.br/historico/html/freebsd/
>>>> Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd
>>>>
>>>>
>>>>
>>>>       
>>>>         
>>> --
>>>
>>> Flávio Alexsandro Silva
>>> "Unix is user friendly. It's just selective about who its friends are."
>>> "Linux is for people who hate Windows.
>>> BSD is for people who love UNIX."
>>>
>>> -------------------------
>>> Histórico: http://www.fug.com.br/historico/html/freebsd/
>>> Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd
>>>
>>>     
>>>       
>> -------------------------
>> Histórico: http://www.fug.com.br/historico/html/freebsd/
>> Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd
>>
>>
>>   
>>     

-------------------------
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

Responder a